Check job processing status
curl --request GET \
--url https://api.videobgremover.com/v1/jobs/{id}/status \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobgremover.com/v1/jobs/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobgremover.com/v1/jobs/{id}/status"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "created",
"filename": "my-video.mp4",
"created_at": "2023-12-01T10:00:00Z",
"length_seconds": null,
"thumbnail_url": null,
"transparent_thumbnail_url": null,
"processed_video_url": null,
"processed_mask_url": null,
"message": null,
"background": null,
"output_format": null,
"export_id": null
}Check job processing status
Check a video job with the VideoBGRemover API. Track processing progress and retrieve download URLs for the finished video when the job is complete.
GET
/
v1
/
jobs
/
{id}
/
status
Check job processing status
curl --request GET \
--url https://api.videobgremover.com/v1/jobs/{id}/status \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.videobgremover.com/v1/jobs/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.videobgremover.com/v1/jobs/{id}/status"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "created",
"filename": "my-video.mp4",
"created_at": "2023-12-01T10:00:00Z",
"length_seconds": null,
"thumbnail_url": null,
"transparent_thumbnail_url": null,
"processed_video_url": null,
"processed_mask_url": null,
"message": null,
"background": null,
"output_format": null,
"export_id": null
}Authorizations
API key with format vbr_ followed by 32 characters
Path Parameters
Job ID to check status for
Response
Job status retrieved successfully
Job identifier
Current job status
Available options:
created, uploaded, processing, completed, failed Original filename
Job creation time
Export identifier (only present for API calls with background)
Video duration in seconds
Signed URL for video thumbnail
Signed URL for transparent thumbnail
Signed URL for processed video (when completed)
Signed URL for video mask (when completed)
Status message
Background options (only present for API calls with background)
Show child attributes
Show child attributes
Output file format (only present for API calls with background)
